SecurityUpdate IP Access

Update IP Access

Update RTMP auth of Restream

curl -X POST "https://api.5centscdn.com/v2/streams/publish/1001/rtmpauth" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "policy": "N",
  "password": "mypassword"
}'
{
  "result": "success",
  "message": "Stream Updated",
  "stream": "null"
}
POST
/streams/publish/{streamid}/rtmpauth
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
policystring

Values can be Y or N. Set to Y if RTMP auth should be enabled. Set to N if RTMP auth should be disabled.

passwordstring

Password required for RTMP authentication for publishing.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

streamidstring
Required

Stream ID

Example:
1001

Body

application/json
policystring

Values can be Y or N. Set to Y if RTMP auth should be enabled. Set to N if RTMP auth should be disabled.

Example:
N
passwordstring

Password required for RTMP authentication for publishing.

Example:
mypassword

Responses

resultstring

Status of the API response.

messagestring

Human-readable message describing the result.

streamstring